diff --git a/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java b/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
index 22dfed246..12a411e8f 100644
--- a/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/PreLoginPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class PreLoginPacket extends Packet
 {
     public String username;
diff --git a/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java b/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
index 7988e9688..c3ba39c60 100644
--- a/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/RemoveEntityPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class RemoveEntityPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java b/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
index 51773fe6f..ff35f4a2d 100644
--- a/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/RespawnPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class RespawnPacket extends Packet
 {
     public byte respawnDimensionId;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java b/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
index a4bae91e8..02453eb7f 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetCarriedItemPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetCarriedItemPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java b/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
index 29653a156..c4290d9eb 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetEntityDataPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.world.data.SynchedEntityData;
 import java.io.*;
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, DataWatcher, PacketHandler
-
 public class SetEntityDataPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java b/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
index 3daddafcf..c76a33a92 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetEntityMotionPacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, PacketHandler
-
 public class SetEntityMotionPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java b/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
index c04a9f500..1497e5777 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetEquippedItemPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetEquippedItemPacket extends Packet
 {
     public int entityID;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java b/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
index 06c6d2524..c26830d3b 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetHealthPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetHealthPacket extends Packet
 {
     public int healthMP;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java b/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
index d01c02d68..4c4743fba 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetMobSpawnerPacket.java
@@ -1,7 +1,9 @@
 package net.minecraft.core.net.packet;
 
+import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.net.handler.PacketHandler;
+import org.jetbrains.annotations.Nullable;
 
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
@@ -11,19 +13,18 @@ public class SetMobSpawnerPacket extends Packet {
     public int xPosition;
     public int yPosition;
     public int zPosition;
-    public String spawnType;
+    public @Nullable Class<? extends Entity> entityClass;
 
     public SetMobSpawnerPacket() {
         isChunkDataPacket = true;
     }
 
-    public SetMobSpawnerPacket(int x, int y, int z, String spawnType) {
+    public SetMobSpawnerPacket(int x, int y, int z, @Nullable Class<? extends Entity> entityClass) {
         isChunkDataPacket = true;
         this.xPosition = x;
         this.yPosition = y;
         this.zPosition = z;
-        if(spawnType == null) spawnType = "none";
-        this.spawnType = spawnType;
+        this.entityClass = entityClass;
     }
 
     @Override
@@ -31,7 +32,12 @@ public class SetMobSpawnerPacket extends Packet {
         xPosition = dis.readInt();
         yPosition = dis.readShort();
         zPosition = dis.readInt();
-        spawnType = readString(dis, EntityDispatcher.getLargestIdSize());
+        int type = dis.readShort() & 0xFFFF;
+        if (type == 0xFFFF) {
+            entityClass = null;
+        } else {
+            entityClass = EntityDispatcher.classForNumericId(type);
+        }
     }
 
     @Override
@@ -39,7 +45,7 @@ public class SetMobSpawnerPacket extends Packet {
         dos.writeInt(xPosition);
         dos.writeShort(yPosition);
         dos.writeInt(zPosition);
-        writeString(spawnType, dos);
+        dos.writeShort(entityClass == null ? 0xFFFF : EntityDispatcher.numericIdForClass(entityClass));
     }
 
     @Override
@@ -49,6 +55,6 @@ public class SetMobSpawnerPacket extends Packet {
 
     @Override
 	public int getEstimatedSize() {
-        return 12 + spawnType.length();
+        return 14;
     }
 }
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java b/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java
index abca2c753..6532d88d0 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetRidingPacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetRidingPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java b/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java
index 1b2c175cb..7cbe8008f 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetSpawnPositionPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetSpawnPositionPacket extends Packet
 {
     public int x;
diff --git a/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java b/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java
index 99e04c377..772ef8920 100644
--- a/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SetTimePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SetTimePacket extends Packet
 {
     public long time;
diff --git a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java b/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
index 3d560fa29..025e0ef73 100644
--- a/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SignUpdatePacket.java
@@ -5,9 +5,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class SignUpdatePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java b/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java
index aef0545f3..0db1befd5 100644
--- a/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/StatisticPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.util.collection.NamespaceID;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class StatisticPacket extends Packet
 {
     public NamespaceID statID;
diff --git a/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java b/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java
index b5abb0235..0d67e8722 100644
--- a/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/SyncIDsPacket.java
@@ -8,18 +8,31 @@ import java.util.Map;
 import java.util.Map.Entry;
 
 import net.minecraft.core.net.handler.PacketHandler;
-import net.minecraft.core.sound.SoundTypes;
 
 public class SyncIDsPacket extends Packet {
+	public static final int MAX_ID_STRING_SIZE = 128;
+	public static final int DESTINATION_SOUND_IDS = 0;
+	public static final int DESTINATION_ENTITY_IDS = 1;
 
-	public Map<String, Integer> soundIds;
 	private int packetSize;
-	
+
+	public int destinationId = -1;
+	public Map<Integer, String> mapping;
+
+	public SyncIDsPacket() {
+
+	}
+
+	public SyncIDsPacket(int destinationId, Map<Integer, String> mapping) {
+		this.destinationId = destinationId;
+		this.mapping = mapping;
+	}
+
 	@Override
 	public void read(DataInputStream in) throws IOException {
 		int size = 0;
 		
-		size += readSoundIds(in);
+		size += readIds(in);
 		
 		this.packetSize = size;
 	}
@@ -28,39 +41,39 @@ public class SyncIDsPacket extends Packet {
 	public void write(DataOutputStream out) throws IOException {
 		int size = 0;
 		
-		size += writeSoundIds(out);
+		size += writeIds(out);
 		
 		this.packetSize = size;
 	}
 	
-	public int readSoundIds(DataInputStream in) throws IOException {
-		this.soundIds = new HashMap<>();
+	public int readIds(DataInputStream in) throws IOException {
+		this.mapping = new HashMap<>();
 		
 		int bytesRead = 0;
-		
+
+		this.destinationId = in.readByte() & 0xFF;
 		int count = in.readInt();
 		bytesRead += 4;
 		
 		for(int i=0; i < count; i++) {
 			int id = in.readShort() & 0xFFFF;
-			String name = readString(in, SoundTypes.MAX_SOUND_NAME_LENGTH);
-			soundIds.put(name, id);
+			String name = readString(in, MAX_ID_STRING_SIZE);
+			mapping.put(id, name);
 		}
 		
 		return bytesRead;
 	}
 	
-	public int writeSoundIds(DataOutputStream out) throws IOException {
-		Map<String, Integer> soundIds = SoundTypes.getSoundIds();
-		
+	public int writeIds(DataOutputStream out) throws IOException {
 		int bytesWritten = 0;
-		
-		out.writeInt(soundIds.size());
+
+		out.writeByte(destinationId);
+		out.writeInt(mapping.size());
 		bytesWritten += 4;
 		
-		for(Entry<String, Integer> entry : soundIds.entrySet()) {
-			out.writeShort(entry.getValue());
-			writeString(entry.getKey(), out);
+		for(Entry<Integer, String> entry : mapping.entrySet()) {
+			out.writeShort(entry.getKey());
+			writeString(entry.getValue(), out);
 		}
 		
 		return bytesWritten;
@@ -73,7 +86,7 @@ public class SyncIDsPacket extends Packet {
 
 	@Override
 	public int getEstimatedSize() {
-		return packetSize;
+		return packetSize + 1;
 	}
 
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java b/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java
index 66ad9f834..a25a2d063 100644
--- a/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/TakeItemEntityPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class TakeItemEntityPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java b/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java
index ae9f23aae..1f0f19112 100644
--- a/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/TeleportEntityPacket.java
@@ -6,9 +6,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, MathHelper, PacketHandler
-
 public class TeleportEntityPacket extends Packet
 {
     public int id;
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java b/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java
index 72332b072..7079089e1 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/UpdateCreativeInventoryPacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class UpdateCreativeInventoryPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
index bdba2be9f..b5f05fccb 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerProfilePacket.java
@@ -8,9 +8,6 @@ import java.io.DataOutputStream;
 import java.io.IOException;
 import java.util.UUID;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, PacketHandler
-
 public class UpdatePlayerProfilePacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java
index 9e89c21ad..25a295144 100644
--- a/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/UpdatePlayerStatePacket.java
@@ -4,9 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, PacketHandler
-
 public class UpdatePlayerStatePacket extends Packet
 {
     public static final int STATE_SNEAK = 1;
diff --git a/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java b/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java
index e3b7f6bae..ad69ea35d 100644
--- a/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/UseItemPacket.java
@@ -8,9 +8,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.util.helper.Direction;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, ItemStack, PacketHandler
-
 public class UseItemPacket extends Packet
 {
 
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java b/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
index 86c28195c..2c61ba902 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/WeatherEffectPacket.java
@@ -7,10 +7,6 @@ import net.minecraft.core.util.helper.MathHelper;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, MathHelper, EntityLightning,
-//            PacketHandler
-
 public class WeatherEffectPacket extends Packet
 {
     public static final int EFFECT_LIGHTNING = 1;
diff --git a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java b/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
index caabcd2f8..bf43370db 100644
--- a/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/WeatherStatusPacket.java
@@ -4,10 +4,6 @@ import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.*;
 
-// Referenced classes of package net.minecraft.src:
-//            Packet, Entity, MathHelper, EntityLightning,
-//            PacketHandler
-
 public class WeatherStatusPacket extends Packet
 {
     public int dimId;
diff --git a/src/main/java/net/minecraft/core/player/inventory/InventorySorter.java b/src/main/java/net/minecraft/core/player/inventory/InventorySorter.java
index 1136e185c..f736e9617 100644
--- a/src/main/java/net/minecraft/core/player/inventory/InventorySorter.java
+++ b/src/main/java/net/minecraft/core/player/inventory/InventorySorter.java
@@ -3,8 +3,6 @@ package net.minecraft.core.player.inventory;
 import net.minecraft.core.item.ItemStack;
 
 import java.util.ArrayList;
-import java.util.Collections;
-import java.util.Comparator;
 import java.util.List;
 
 public abstract class InventorySorter {
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/Container.java b/src/main/java/net/minecraft/core/player/inventory/container/Container.java
index b4068a044..f3973be22 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/Container.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/Container.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.player.inventory.container;
 
-
-// Referenced classes of package net.minecraft.src:
-//            ItemStack, Player
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
index a1e3fdfe6..f6edc4057 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCompound.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.player.inventory.container;
 
-
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack, Player
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.InventorySorter;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
index 94c3aa8fb..f02b082a2 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerCrafting.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.player.inventory.container;
 
-
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack, Container, Player
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.menu.MenuAbstract;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
index 6282a4ec8..84238f80d 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerInventory.java
@@ -5,12 +5,6 @@ import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.ListTag;
 
 import net.minecraft.core.block.Block;
-
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack, Player, NBTTagCompound,
-//            NBTTagList, Block, Material, ItemArmor,
-//            Entity
-
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
index 9fd1602f0..c23dc2274 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerResult.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.player.inventory.container;
 
-
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack, Player
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 
diff --git a/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java b/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
index f44de68bc..6abb9118f 100644
--- a/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
+++ b/src/main/java/net/minecraft/core/player/inventory/container/ContainerSimple.java
@@ -4,9 +4,6 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.player.inventory.InventorySorter;
 
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack, IInvBasic, Player
-
 public class ContainerSimple
     implements Container
 {
diff --git a/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java b/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
index 375b80e11..8d57d074a 100644
--- a/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
+++ b/src/main/java/net/minecraft/core/player/inventory/menu/MenuAbstract.java
@@ -185,8 +185,6 @@ public abstract class MenuAbstract
 		}
 		
 		if(action == InventoryAction.INTERACT_SLOT || action == InventoryAction.INTERACT_GRABBED) {
-			ItemStack grabbedItem = player.inventory.getHeldItemStack();
-			
 			Item interactItem;
 			if(action == InventoryAction.INTERACT_SLOT) {
 				if(stackInSlot == null) {
@@ -208,7 +206,7 @@ public abstract class MenuAbstract
 			}
 			slot.set(result);
 			
-			grabbedItem = player.inventory.getHeldItemStack();
+			ItemStack grabbedItem = player.inventory.getHeldItemStack();
 			if(grabbedItem != null && grabbedItem.stackSize <= 0) {
 				player.inventory.setHeldItemStack(null);
 			}
diff --git a/src/main/java/net/minecraft/core/player/inventory/menu/MenuCrafting.java b/src/main/java/net/minecraft/core/player/inventory/menu/MenuCrafting.java
index c95142e4e..bae51791c 100644
--- a/src/main/java/net/minecraft/core/player/inventory/menu/MenuCrafting.java
+++ b/src/main/java/net/minecraft/core/player/inventory/menu/MenuCrafting.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.player.inventory.menu;
 
-// Referenced classes of package net.minecraft.src:
-//            Container, InventoryCrafting, InventoryCraftResult, SlotCrafting, 
-//            InventoryPlayer, Slot, CraftingManager, IInventory, 
-//            World, Player, Block, ItemStack
-
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.Registries;
diff --git a/src/main/java/net/minecraft/core/player/inventory/slot/Slot.java b/src/main/java/net/minecraft/core/player/inventory/slot/Slot.java
index a82c5edde..794cba5ef 100644
--- a/src/main/java/net/minecraft/core/player/inventory/slot/Slot.java
+++ b/src/main/java/net/minecraft/core/player/inventory/slot/Slot.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.player.inventory.slot;
 
-// Referenced classes of package net.minecraft.src:
-//            IInventory, ItemStack
-
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.ItemStack;
diff --git a/src/main/java/net/minecraft/core/player/inventory/slot/SlotFurnace.java b/src/main/java/net/minecraft/core/player/inventory/slot/SlotFurnace.java
index 78be145f5..99eff9fee 100644
--- a/src/main/java/net/minecraft/core/player/inventory/slot/SlotFurnace.java
+++ b/src/main/java/net/minecraft/core/player/inventory/slot/SlotFurnace.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.player.inventory.slot;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Slot, Player, ItemStack, Item,
-//            Achievements, IInventory
-
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Items;
diff --git a/src/main/java/net/minecraft/core/player/inventory/slot/SlotResult.java b/src/main/java/net/minecraft/core/player/inventory/slot/SlotResult.java
index 7ea7d9dea..323c03dd2 100644
--- a/src/main/java/net/minecraft/core/player/inventory/slot/SlotResult.java
+++ b/src/main/java/net/minecraft/core/player/inventory/slot/SlotResult.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.player.inventory.slot;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Slot, Player, ItemStack, Block,
-//            Achievements, Item, IInventory
-
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.Registries;
diff --git a/src/main/java/net/minecraft/core/sound/SoundTypes.java b/src/main/java/net/minecraft/core/sound/SoundTypes.java
index 3cbd2bef3..e8a2e975f 100644
--- a/src/main/java/net/minecraft/core/sound/SoundTypes.java
+++ b/src/main/java/net/minecraft/core/sound/SoundTypes.java
@@ -5,6 +5,7 @@ import com.google.gson.JsonElement;
 import com.google.gson.JsonObject;
 import com.google.gson.JsonParseException;
 import com.google.gson.JsonParser;
+import net.minecraft.core.net.packet.SyncIDsPacket;
 
 import java.io.InputStream;
 import java.util.HashMap;
@@ -12,11 +13,8 @@ import java.util.Map;
 import java.util.Map.Entry;
 
 public class SoundTypes {
-	
-	public static final int MAX_SOUND_NAME_LENGTH = 64;
-	
-	private static Map<Integer, String> idToSoundNameMap = new HashMap<>();
-	private static Map<String, Integer> soundNameToIdMap = new HashMap<>();
+	private static final Map<Integer, String> idToSoundNameMap = new HashMap<>();
+	private static final Map<String, Integer> soundNameToIdMap = new HashMap<>();
 	
 	private static int idCount = 0;
 	
@@ -46,7 +44,7 @@ public class SoundTypes {
 	}
 
 	public static boolean register(String soundPath) {
-		if(soundPath.length() > MAX_SOUND_NAME_LENGTH) {
+		if(soundPath.length() > SyncIDsPacket.MAX_ID_STRING_SIZE) {
 			throw new RuntimeException("Sound Path is too long: '" + soundPath + "'!");
 		}
 		
@@ -83,22 +81,22 @@ public class SoundTypes {
 		return idToSoundNameMap.get(id);
 	}
 	
-	public static void setSoundIds(Map<String, Integer> soundIds) {
+	public static void setSoundIds(Map<Integer, String> soundIds) {
 		idToSoundNameMap.clear();
 		soundNameToIdMap.clear();
 		
-		for(Entry<String, Integer> entry : soundIds.entrySet()) {
-			int id = entry.getValue();
-			String name = entry.getKey();
+		for(Entry<Integer, String> entry : soundIds.entrySet()) {
+			int id = entry.getKey();
+			String name = entry.getValue();
 			
 			idToSoundNameMap.put(id, name);
 			soundNameToIdMap.put(name, id);
 		}
 	}
 	
-	public static Map<String, Integer> getSoundIds() {
-		// TODO Make soundNameToIdMap immutable and don't return new instance every time
-		return new HashMap<>(soundNameToIdMap); 
+	public static Map<Integer, String> getSoundIds() {
+		// TODO Make soundNameToIdMap immutable
+		return idToSoundNameMap;
 	}
 
 }
diff --git a/src/main/java/net/minecraft/core/util/phys/HitResult.java b/src/main/java/net/minecraft/core/util/phys/HitResult.java
index 466bfc92e..ea0eab1b2 100644
--- a/src/main/java/net/minecraft/core/util/phys/HitResult.java
+++ b/src/main/java/net/minecraft/core/util/phys/HitResult.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.util.phys;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 
 public class HitResult
diff --git a/src/main/java/net/minecraft/core/util/phys/Vec3.java b/src/main/java/net/minecraft/core/util/phys/Vec3.java
index 4688861a7..a6fa29331 100644
--- a/src/main/java/net/minecraft/core/util/phys/Vec3.java
+++ b/src/main/java/net/minecraft/core/util/phys/Vec3.java
@@ -5,9 +5,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import java.util.ArrayList;
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            MathHelper
-
 public class Vec3
 {
     private static final List<Vec3> pool = new ArrayList<>();
diff --git a/src/main/java/net/minecraft/core/world/AuroraProvider.java b/src/main/java/net/minecraft/core/world/AuroraProvider.java
index edf9f0ce0..05476f7b8 100644
--- a/src/main/java/net/minecraft/core/world/AuroraProvider.java
+++ b/src/main/java/net/minecraft/core/world/AuroraProvider.java
@@ -20,7 +20,7 @@ public class AuroraProvider
         double auroraLevel = 0.0f;
         double auroraRadius = 0.03f;
 
-        double mult = 1.0d;
+        double mult;
         if (celestialAngle < 0.25f || celestialAngle > 0.75f)
         {
             return 0.0f;
diff --git a/src/main/java/net/minecraft/core/world/Dimension.java b/src/main/java/net/minecraft/core/world/Dimension.java
index 5add6e428..77c53c5b7 100644
--- a/src/main/java/net/minecraft/core/world/Dimension.java
+++ b/src/main/java/net/minecraft/core/world/Dimension.java
@@ -7,7 +7,6 @@ import net.minecraft.core.world.type.WorldType;
 import net.minecraft.core.world.type.WorldTypes;
 
 import java.util.Collections;
-import java.util.Date;
 import java.util.HashMap;
 import java.util.Map;
 
diff --git a/src/main/java/net/minecraft/core/world/LevelListener.java b/src/main/java/net/minecraft/core/world/LevelListener.java
index 768a152ef..5bbff7a08 100644
--- a/src/main/java/net/minecraft/core/world/LevelListener.java
+++ b/src/main/java/net/minecraft/core/world/LevelListener.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.world;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, TileEntity, Player
-
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
